Skip to main content
summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorSam Davis2016-09-07 18:04:53 -0400
committerSam Davis2016-09-08 14:28:33 -0400
commit0ba70b0f0eabf9bcf2ec61ef2bb54b6f8ab5275c (patch)
treeb287263656a6e9a429e3becceb8cfbd203075b9c
parent3353f6bc5df7cc2cee23f10fb9e8ff655261028a (diff)
downloadorg.eclipse.mylyn.tasks-0ba70b0f0eabf9bcf2ec61ef2bb54b6f8ab5275c.tar.gz
org.eclipse.mylyn.tasks-0ba70b0f0eabf9bcf2ec61ef2bb54b6f8ab5275c.tar.xz
org.eclipse.mylyn.tasks-0ba70b0f0eabf9bcf2ec61ef2bb54b6f8ab5275c.zip
remove Java nature from org.eclipse.mylyn.help.ui
This was added in fab7fc72649fc9b970b6c73ef98aa922e73286b4 when the implementation of the UI legened was initially put in the help bundle, but now that there is no Java code in the help bundle, I can't see any need for it, and it unnecessarily prevents consumers from running the Eclipse info center with older Java versions. Change-Id: I9deee44893243ce0da5825bb20310eab2c19e37c
-rw-r--r--org.eclipse.mylyn.help.ui/.classpath7
-rw-r--r--org.eclipse.mylyn.help.ui/.project12
-rw-r--r--org.eclipse.mylyn.help.ui/META-INF/MANIFEST.MF8
3 files changed, 0 insertions, 27 deletions
diff --git a/org.eclipse.mylyn.help.ui/.classpath b/org.eclipse.mylyn.help.ui/.classpath
deleted file mode 100644
index eca7bdba8..000000000
--- a/org.eclipse.mylyn.help.ui/.classpath
+++ /dev/null
@@ -1,7 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<classpath>
- <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.8"/>
- <classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
- <classpathentry kind="src" path="src"/>
- <classpathentry kind="output" path="bin"/>
-</classpath>
diff --git a/org.eclipse.mylyn.help.ui/.project b/org.eclipse.mylyn.help.ui/.project
index df85b2d80..3910146c8 100644
--- a/org.eclipse.mylyn.help.ui/.project
+++ b/org.eclipse.mylyn.help.ui/.project
@@ -6,11 +6,6 @@
</projects>
<buildSpec>
<buildCommand>
- <name>org.eclipse.jdt.core.javabuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
<name>org.eclipse.pde.ManifestBuilder</name>
<arguments>
</arguments>
@@ -20,16 +15,9 @@
<arguments>
</arguments>
</buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
</buildSpec>
<natures>
<nature>org.eclipse.pde.PluginNature</nature>
- <nature>org.eclipse.jdt.core.javanature</nature>
- <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
</natures>
<filteredResources>
<filter>
diff --git a/org.eclipse.mylyn.help.ui/META-INF/MANIFEST.MF b/org.eclipse.mylyn.help.ui/META-INF/MANIFEST.MF
index 8318ab07f..5cf357668 100644
--- a/org.eclipse.mylyn.help.ui/META-INF/MANIFEST.MF
+++ b/org.eclipse.mylyn.help.ui/META-INF/MANIFEST.MF
@@ -5,12 +5,4 @@ Bundle-SymbolicName: org.eclipse.mylyn.help.ui;singleton:=true
Bundle-Version: 3.21.0.qualifier
Bundle-ActivationPolicy: lazy
Bundle-Vendor: %Bundle-Vendor
-Require-Bundle: org.eclipse.core.runtime,
- org.eclipse.ui;resolution:=optional,
- org.eclipse.ui.forms;resolution:=optional,
- org.eclipse.mylyn.tasks.core;bundle-version="[3.8.0,4.0.0)";resolution:=optional,
- org.eclipse.mylyn.tasks.ui;bundle-version="[3.8.0,4.0.0)";resolution:=optional,
- org.eclipse.mylyn.commons.ui;bundle-version="[3.8.0,4.0.0)";resolution:=optional,
- org.apache.ant;bundle-version="1.7.0";resolution:=optional
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Bundle-Localization: plugin

Back to the top